GET /api/log/export.log/
Export the log in text format.
Auth: Bearer.
Response 200
Section titled “Response 200”Content-Type: text/plain; charset=utf-8Content-Disposition: attachment; filename="tr100e_events.log"
The first line of the file contains the header:
{DEVICE_NAME} Sn: {UUID0}-{UUID1}-{UUID2} Fw: v{FW_VERSION} LOGSEvents then follow from newest to oldest.
Line format
Section titled “Line format”{timestamp} {severity padded to 7} {dataType in brackets padded to 10}{detail}The data-type field, including the square brackets and trailing spaces, occupies 10 characters: three spaces are added after [FAULT], and one after [GENERIC] and [NETWORK].
Examples
Section titled “Examples”2026-04-16T12:00:00Z WARNING [GENERIC] Channel 1 open circuit2026-04-16T12:01:00Z FAULT [FAULT] HardFault in Logic PC=08012345 LR=08012340 SP=20001000 CFSR=00000000 HFSR=00000000 MMFAR=00000000 BFAR=00000000 R0=00000000 R1=00000000 R2=00000000 R3=00000000 R12=00000000 xPSR=000000002026-04-16T12:02:00Z ERROR [NETWORK] Connection refused 192.168.1.100:502->502 lwip=-1Detail by dataType
Section titled “Detail by dataType”GENERIC:{message}FAULT:{taskName} PC={pc} LR={lr} SP={sp} CFSR={cfsr} HFSR={hfsr} MMFAR={mmar} BFAR={bfar} R0={r0} R1={r1} R2={r2} R3={r3} R12={r12} xPSR={xpsr}— registers in hexadecimal%08XNETWORK:{message} {remoteIp}:{remotePort}->{localPort} lwip={lwipError}